/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorValidateResultDetailProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorValidateResultDetailProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * 入力ファイル。例: conf/BlancoNLpackGeneratorTranslationFragment.csv
     *
     * フィールド: [sourcefile]。
     */
    private String fSourcefile;

    /**
     * 出力ファイル。例: tmp/validate/BlancoNLpackGeneratorTranslationFragmentValidateLog.csv
     *
     * フィールド: [targetfile]。
     */
    private String fTargetfile;

    /**
     * 文末のピリオドをチェックするかどうか。
     *
     * フィールド: [checkendoflineperiod]。
     * デフォルト: [true]。
     */
    private boolean fCheckendoflineperiod = true;

    /**
     * コロン(:)をチェックするかどうか。
     *
     * フィールド: [checkcolon]。
     * デフォルト: [true]。
     */
    private boolean fCheckcolon = true;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourcefile] の値を設定します。
     *
     * フィールドの説明: [入力ファイル。例: conf/BlancoNLpackGeneratorTranslationFragment.csv]。
     *
     * @param argSourcefile フィールド[sourcefile]に設定する値。
     */
    public void setSourcefile(final String argSourcefile) {
        fSourcefile = argSourcefile;
    }

    /**
     * フィールド [sourcefile] の値を取得します。
     *
     * フィールドの説明: [入力ファイル。例: conf/BlancoNLpackGeneratorTranslationFragment.csv]。
     *
     * @return フィールド[sourcefile]から取得した値。
     */
    public String getSourcefile() {
        return fSourcefile;
    }

    /**
     * フィールド [targetfile] の値を設定します。
     *
     * フィールドの説明: [出力ファイル。例: tmp/validate/BlancoNLpackGeneratorTranslationFragmentValidateLog.csv]。
     *
     * @param argTargetfile フィールド[targetfile]に設定する値。
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド [targetfile] の値を取得します。
     *
     * フィールドの説明: [出力ファイル。例: tmp/validate/BlancoNLpackGeneratorTranslationFragmentValidateLog.csv]。
     *
     * @return フィールド[targetfile]から取得した値。
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * フィールド [checkendoflineperiod] の値を設定します。
     *
     * フィールドの説明: [文末のピリオドをチェックするかどうか。]。
     *
     * @param argCheckendoflineperiod フィールド[checkendoflineperiod]に設定する値。
     */
    public void setCheckendoflineperiod(final boolean argCheckendoflineperiod) {
        fCheckendoflineperiod = argCheckendoflineperiod;
    }

    /**
     * フィールド [checkendoflineperiod] の値を取得します。
     *
     * フィールドの説明: [文末のピリオドをチェックするかどうか。]。
     * デフォルト: [true]。
     *
     * @return フィールド[checkendoflineperiod]から取得した値。
     */
    public boolean getCheckendoflineperiod() {
        return fCheckendoflineperiod;
    }

    /**
     * フィールド [checkcolon] の値を設定します。
     *
     * フィールドの説明: [コロン(:)をチェックするかどうか。]。
     *
     * @param argCheckcolon フィールド[checkcolon]に設定する値。
     */
    public void setCheckcolon(final boolean argCheckcolon) {
        fCheckcolon = argCheckcolon;
    }

    /**
     * フィールド [checkcolon] の値を取得します。
     *
     * フィールドの説明: [コロン(:)をチェックするかどうか。]。
     * デフォルト: [true]。
     *
     * @return フィールド[checkcolon]から取得した値。
     */
    public boolean getCheckcolon() {
        return fCheckcolon;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorValidateResultDetailProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourcefile=" + fSourcefile);
        buf.append(",targetfile=" + fTargetfile);
        buf.append(",checkendoflineperiod=" + fCheckendoflineperiod);
        buf.append(",checkcolon=" + fCheckcolon);
        buf.append("]");
        return buf.toString();
    }
}
